Classes:
Doctrine
Doctrine_Access
Doctrine_Adapter
Doctrine_Adapter_Db2_Exception
Doctrine_Adapter_Exception
Doctrine_Adapter_Statement
Doctrine_AuditLog
Doctrine_AuditLog_Listener
Doctrine_Collection
Doctrine_Collection_Exception
Doctrine_Collection_Iterator
Doctrine_Collection_Iterator_Expandable
Doctrine_Collection_Iterator_Normal
Doctrine_Collection_Iterator_Offset
Doctrine_Collection_Offset
Doctrine_Column
Doctrine_Compiler
Doctrine_Compiler_Exception
Doctrine_Configurable
Doctrine_Connection
Doctrine_Connection_Common
Doctrine_Connection_Db2
Doctrine_Connection_Exception
Doctrine_Connection_Firebird
Doctrine_Connection_Firebird_Exception
Doctrine_Connection_Informix
Doctrine_Connection_Informix_Exception
Doctrine_Connection_Mock
Doctrine_Connection_Module
Doctrine_Connection_Mssql
Doctrine_Connection_Mssql_Exception
Doctrine_Connection_Mysql
Doctrine_Connection_Mysql_Exception
Doctrine_Connection_Oracle
Doctrine_Connection_Oracle_Exception
Doctrine_Connection_Pgsql
Doctrine_Connection_Pgsql_Exception
Doctrine_Connection_Profiler
Doctrine_Connection_Profiler_Exception
Doctrine_Connection_Sqlite
Doctrine_Connection_Sqlite_Exception
Doctrine_Connection_Statement
Doctrine_Connection_UnitOfWork
Doctrine_DataDict
Doctrine_DataDict_Exception
Doctrine_DataDict_Informix
Doctrine_DataType
Doctrine_Db
Doctrine_Event
Doctrine_EventListener
Doctrine_EventListener_Chain
Doctrine_EventListener_Exception
Doctrine_Exception
Doctrine_Export
Doctrine_Export_Exception
Doctrine_Export_Firebird
Doctrine_Export_Frontbase
Doctrine_Export_Mssql
Doctrine_Export_Mysql
Doctrine_Export_Oracle
Doctrine_Export_Pgsql
Doctrine_Export_Reporter
Doctrine_Export_Schema
Doctrine_Export_Schema_Xml
Doctrine_Export_Schema_Yml
Doctrine_Export_Sqlite
Doctrine_Expression
Doctrine_Expression_Driver
Doctrine_Expression_Exception
Doctrine_Expression_Firebird
Doctrine_Expression_Informix
Doctrine_Expression_Mock
Doctrine_Expression_Mssql
Doctrine_Expression_Mysql
Doctrine_Expression_Oracle
Doctrine_Expression_Pgsql
Doctrine_Expression_Sqlite
Doctrine_File
Doctrine_File_Index
Doctrine_Formatter
Doctrine_Hook
Doctrine_Hook_Equal
Doctrine_Hook_Integer
Doctrine_Hook_Parser
Doctrine_Hook_Parser_Complex
Doctrine_Hook_WordLike
Doctrine_Hydrate
Doctrine_Hydrate_Array
Doctrine_Hydrate_Exception
Doctrine_Hydrate_Record
Doctrine_Import
Doctrine_Import_Builder
Doctrine_Import_Builder_BaseClass
Doctrine_Import_Builder_Exception
Doctrine_Import_Exception
Doctrine_Import_Firebird
Doctrine_Import_Informix
Doctrine_Import_Mssql
Doctrine_Import_Mysql
Doctrine_Import_Oracle
Doctrine_Import_Pgsql
Doctrine_Import_Reader
Doctrine_Import_Reader_Db
Doctrine_Import_Reader_Exception
Doctrine_Import_Reader_Xml_Propel
Doctrine_Import_Schema
Doctrine_Import_Schema_Xml
Doctrine_Import_Schema_Yml
Doctrine_Import_Sqlite
Doctrine_IntegrityMapper
Doctrine_Lib
Doctrine_Locking_Exception
Doctrine_Locking_Manager_Pessimistic
Doctrine_Manager
Doctrine_Manager_Exception
Doctrine_Node
Doctrine_Node_AdjacencyList
Doctrine_Node_AdjacencyList_LevelOrderIterator
Doctrine_Node_AdjacencyList_PostOrderIterator
Doctrine_Node_AdjacencyList_PreOrderIterator
Doctrine_Node_Exception
Doctrine_Node_MaterializedPath
Doctrine_Node_MaterializedPath_LevelOrderIterator
Doctrine_Node_MaterializedPath_PostOrderIterator
Doctrine_Node_MaterializedPath_PreOrderIterator
Doctrine_Node_NestedSet
Doctrine_Node_NestedSet_LevelOrderIterator
Doctrine_Node_NestedSet_PostOrderIterator
Doctrine_Node_NestedSet_PreOrderIterator
Doctrine_Null
Doctrine_Object
Doctrine_Plugin
Doctrine_Query
Doctrine_Query_Abstract
Doctrine_Query_Check
Doctrine_Query_Condition
Doctrine_Query_Exception
Doctrine_Query_Filter
Doctrine_Query_Filter_Chain
Doctrine_Query_From
Doctrine_Query_Groupby
Doctrine_Query_Having
Doctrine_Query_JoinCondition
Doctrine_Query_Limit
Doctrine_Query_Offset
Doctrine_Query_Orderby
Doctrine_Query_Parser
Doctrine_Query_Part
Doctrine_Query_Select
Doctrine_Query_Set
Doctrine_Query_Where
Doctrine_RawSql
Doctrine_RawSql_Exception
Doctrine_Record
Doctrine_Record_Abstract
Doctrine_Record_Exception
Doctrine_Record_Filter
Doctrine_Record_Iterator
Doctrine_Record_Listener
Doctrine_Record_Listener_Chain
Doctrine_Record_State_Exception
Doctrine_Relation
Doctrine_Relation_Association
Doctrine_Relation_Association_Self
Doctrine_Relation_Exception
Doctrine_Relation_ForeignKey
Doctrine_Relation_LocalKey
Doctrine_Relation_Nest
Doctrine_Relation_Parser
Doctrine_Relation_Parser_Exception
Doctrine_Schema
Doctrine_Schema_Column
Doctrine_Schema_Database
Doctrine_Schema_Exception
Doctrine_Schema_Object
Doctrine_Schema_Relation
Doctrine_Schema_Table
Doctrine_Search
Doctrine_Search_Analyzer
Doctrine_Search_Analyzer_Exception
Doctrine_Search_Analyzer_Standard
Doctrine_Search_Exception
Doctrine_Search_Indexer
Doctrine_Search_Indexer_Dir
Doctrine_Search_Indexer_Exception
Doctrine_Search_Listener
Doctrine_Search_Parser
Doctrine_Search_Query
Doctrine_Search_Record
Doctrine_Search_Scorer
Doctrine_Search_Template
Doctrine_Sequence
Doctrine_Sequence_Db2
Doctrine_Sequence_Exception
Doctrine_Sequence_Firebird
Doctrine_Sequence_Informix
Doctrine_Sequence_Mssql
Doctrine_Sequence_Mysql
Doctrine_Sequence_Oracle
Doctrine_Sequence_Pgsql
Doctrine_Sequence_Sqlite
Doctrine_Table
Doctrine_Table_Exception
Doctrine_Table_Repository
Doctrine_Table_Repository_Exception
Doctrine_Template
Doctrine_Template_NestedSet
Doctrine_Template_Searchable
Doctrine_Template_Taggable
Doctrine_Template_Versionable
Doctrine_Tokenizer
Doctrine_Transaction
Doctrine_Transaction_Exception
Doctrine_Transaction_Firebird
Doctrine_Transaction_Informix
Doctrine_Transaction_Mock
Doctrine_Transaction_Mssql
Doctrine_Transaction_Mysql
Doctrine_Transaction_Oracle
Doctrine_Transaction_Pgsql
Doctrine_Transaction_Sqlite
Doctrine_Tree
Doctrine_Tree_AdjacencyList
Doctrine_Tree_Exception
Doctrine_Tree_MaterializedPath
Doctrine_Tree_NestedSet
Doctrine_Util
Doctrine_Validator
Doctrine_Validator_Country
Doctrine_Validator_Creditcard
Doctrine_Validator_Date
Doctrine_Validator_Email
Doctrine_Validator_Enum
Doctrine_Validator_ErrorStack
Doctrine_Validator_Exception
Doctrine_Validator_HtmlColor
Doctrine_Validator_Ip
Doctrine_Validator_Minlength
Doctrine_Validator_Nospace
Doctrine_Validator_Notblank
Doctrine_Validator_Notnull
Doctrine_Validator_Range
Doctrine_Validator_Regexp
Doctrine_Validator_Unique
Doctrine_Validator_Unsigned
Doctrine_Validator_Usstate
Doctrine_View
Doctrine_View_Exception
Doctrine_Cache
Doctrine_Cache
Doctrine_Cache_Apc
Doctrine_Cache_Array
Doctrine_Cache_Db
Doctrine_Cache_Driver
Doctrine_Cache_Exception
Doctrine_Cache_Memcache
Doctrine_Adapter
Doctrine_Adapter_Db2
Doctrine_Adapter_Mock
Doctrine_Adapter_Mysqli
Doctrine_Adapter_Oracle
Doctrine_Adapter_Statement_Mock
Doctrine_DataDict
Doctrine_DataDict_Firebird
Doctrine_DataDict_Mssql
Doctrine_DataDict_Mysql
Doctrine_DataDict_Oracle
Doctrine_DataDict_Pgsql
Doctrine_DataDict_Sqlite

# Class: Doctrine_EventListener_Chain

Source Location: /Doctrine/EventListener/Chain.php

## Class Doctrine_EventListener_Chain

Class Overview

Implements interfaces: Doctrine_EventListener_Interface Doctrine_EventListener_Chain this class represents a chain of different listeners, useful for having multiple listeners listening the events at the same time Located in /Doctrine/EventListener/Chain.php [line 36]
    Doctrine_Object
       |
       --Doctrine_Access
          |
          --Doctrine_EventListener_Chain
Author(s): Konsta Vesterinen <kvesteri@cc.hut.fi> Information Tags:
Version: | $Revision: 2186 $
Link: | www.phpdoctrine.com
Since: | 1.0
License: | LGPL
| Properties $listeners | Methods add get onCollectionDelete onLoad onOpen onPreCollectionDelete onPreLoad onSleep onWakeUp postClose postConnect postError postExec postFetch postFetchAll postPrepare postQuery postStmtExecute postTransactionBegin postTransactionCommit postTransactionRollback preClose preConnect preError preExec preFetch preFetchAll prePrepare preQuery preStmtExecute preTransactionBegin preTransactionCommit preTransactionRollback set

[ Top ]
Inherited Properties, Constants, and Methods

Inherited Properties | Inherited Methods | Inherited Constants
--- | --- | ---
Inherited From Doctrine_Object Doctrine_Object::$_null | Inherited From Doctrine_Access Doctrine_Access::offsetExists() Doctrine_Access::offsetGet() offsetGet an alias of get() Doctrine_Access::offsetSet() sets $offset to $value Doctrine_Access::offsetUnset() unset a given offset Doctrine_Access::setArray() setArray Doctrine_Access::__get() __get -- an alias of get() Doctrine_Access::__isset() __isset() Doctrine_Access::__set() __set an alias of set() Doctrine_Access::__unset() __unset() Inherited From Doctrine_Object Doctrine_Object::getNullObject() getNullObject returns the null object associated with this object Doctrine_Object::initNullObject() initNullObject initializes the null object |

[ Top ]
Property Summary

array | $listeners |

[ Top ]
Method Summary

void | add() | add adds a listener to the chain of listeners
mixed | get() | returns a Doctrine_EventListener on success and null on failure
void | onCollectionDelete() | onCollectionDelete an event invoked after a Doctrine_Collection is being deleted
void | onLoad() | onLoad an event invoked when Doctrine_Record is being loaded from database
void | onOpen() | onOpen an event invoked after Doctrine_Connection is opened
void | onPreCollectionDelete() | onCollectionDelete an event invoked after a Doctrine_Collection is being deleted
void | onPreLoad() | onPreLoad an event invoked when Doctrine_Record is being loaded from database but not yet initialized
void | onSleep() | onSleep an event invoked when Doctrine_Record is serialized
void | onWakeUp() | onWakeUp an event invoked when Doctrine_Record is unserialized
void | postClose() | postClose an event invoked after Doctrine_Connection is closed
void | postConnect() |
void | postError() |
void | postExec() |
void | postFetch() |
void | postFetchAll() |
void | postPrepare() |
void | postQuery() |
void | postStmtExecute() |
void | postTransactionBegin() | onTransactionBegin an event invoked after a Doctrine_Connection transaction has been started
void | postTransactionCommit() | onTransactionCommit an event invoked after a Doctrine_Connection transaction is committed
void | postTransactionRollback() | onTransactionRollback an event invoked after a Doctrine_Connection transaction is being rolled back
void | preClose() | preClose an event invoked before Doctrine_Connection is closed
void | preConnect() |
void | preError() |
void | preExec() |
void | preFetch() |
void | preFetchAll() |
void | prePrepare() |
void | preQuery() |
void | preStmtExecute() |
void | preTransactionBegin() | onTransactionBegin an event invoked before a Doctrine_Connection transaction is being started
void | preTransactionCommit() | onPreTransactionCommit an event invoked before a Doctrine_Connection transaction is committed
void | preTransactionRollback() | onPreTransactionRollback an event invoked before a Doctrine_Connection transaction is being rolled back
void | set() | set

[ Top ]
Properties
array $listeners = array() [line 41]
API Tags:

Access: | private

[ Top ]
Methods
add [line 50]

`void add( object $listener, [string $name = null] )`

add adds a listener to the chain of listeners

Parameters:

object | $listener: |
string | $name: |

API Tags:

Access: | public

[ Top ]
get [line 70]

`mixed get( mixed $key )`

returns a Doctrine_EventListener on success and null on failure

Parameters:

mixed | $key: |

API Tags:

Access: | public

[ Top ]
onCollectionDelete [line 265]

`void onCollectionDelete( Doctrine_Collection $collection )`

onCollectionDelete an event invoked after a Doctrine_Collection is being deleted

Parameters:

Doctrine_Collection | $collection: |

API Tags:

Access: | public

[ Top ]
onLoad [line 95]

`void onLoad( Doctrine_Record $record )`

onLoad an event invoked when Doctrine_Record is being loaded from database

Parameters:

Doctrine_Record | $record: |

API Tags:

Access: | public

[ Top ]
onOpen [line 174]

`void onOpen( Doctrine_Connection $connection )`

onOpen an event invoked after Doctrine_Connection is opened

Parameters:

Doctrine_Connection | $connection: |

API Tags:

Access: | public

[ Top ]
onPreCollectionDelete [line 278]

`void onPreCollectionDelete( Doctrine_Collection $collection )`

onCollectionDelete an event invoked after a Doctrine_Collection is being deleted

Parameters:

Doctrine_Collection | $collection: |

API Tags:

Access: | public

[ Top ]
onPreLoad [line 109]

`void onPreLoad( Doctrine_Record $record )`

onPreLoad an event invoked when Doctrine_Record is being loaded from database but not yet initialized

Parameters:

Doctrine_Record | $record: |

API Tags:

Access: | public

[ Top ]
onSleep [line 122]

`void onSleep( Doctrine_Record $record )`

onSleep an event invoked when Doctrine_Record is serialized

Parameters:

Doctrine_Record | $record: |

API Tags:

Access: | public

[ Top ]
onWakeUp [line 135]

`void onWakeUp( Doctrine_Record $record )`

onWakeUp an event invoked when Doctrine_Record is unserialized

Parameters:

Doctrine_Record | $record: |

API Tags:

Access: | public

[ Top ]
postClose [line 148]

`void postClose( Doctrine_Event $event )`

postClose an event invoked after Doctrine_Connection is closed

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

[ Top ]
postConnect [line 284]

`void postConnect( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postConnect()

[ Top ]
postError [line 341]

`void postError( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postError()

[ Top ]
postExec [line 328]

`void postExec( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postExec()

[ Top ]
postFetch [line 354]

`void postFetch( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postFetch()

[ Top ]
postFetchAll [line 368]

`void postFetchAll( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postFetchAll()

[ Top ]
postPrepare [line 315]

`void postPrepare( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postPrepare()

[ Top ]
postQuery [line 302]

`void postQuery( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postQuery()

[ Top ]
postStmtExecute [line 382]

`void postStmtExecute( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postStmtExecute()

[ Top ]
postTransactionBegin [line 239]

`void postTransactionBegin( Doctrine_Event $event )`

onTransactionBegin an event invoked after a Doctrine_Connection transaction has been started

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postTransactionBegin()

[ Top ]
postTransactionCommit [line 187]

`void postTransactionCommit( Doctrine_Event $event )`

onTransactionCommit an event invoked after a Doctrine_Connection transaction is committed

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postTransactionCommit()

[ Top ]
postTransactionRollback [line 213]

`void postTransactionRollback( Doctrine_Event $event )`

onTransactionRollback an event invoked after a Doctrine_Connection transaction is being rolled back

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::postTransactionRollback()

[ Top ]
preClose [line 161]

`void preClose( Doctrine_Event $event )`

preClose an event invoked before Doctrine_Connection is closed

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

[ Top ]
preConnect [line 290]

`void preConnect( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preConnect()

[ Top ]
preError [line 335]

`void preError( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preError()

[ Top ]
preExec [line 322]

`void preExec( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preExec()

[ Top ]
preFetch [line 348]

`void preFetch( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preFetch()

[ Top ]
preFetchAll [line 361]

`void preFetchAll( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preFetchAll()

[ Top ]
prePrepare [line 309]

`void prePrepare( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::prePrepare()

[ Top ]
preQuery [line 296]

`void preQuery( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preQuery()

[ Top ]
preStmtExecute [line 375]

`void preStmtExecute( Doctrine_Event $event )`

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preStmtExecute()

[ Top ]
preTransactionBegin [line 252]

`void preTransactionBegin( Doctrine_Event $event )`

onTransactionBegin an event invoked before a Doctrine_Connection transaction is being started

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preTransactionBegin()

[ Top ]
preTransactionCommit [line 200]

`void preTransactionCommit( Doctrine_Event $event )`

onPreTransactionCommit an event invoked before a Doctrine_Connection transaction is committed

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preTransactionCommit()

[ Top ]
preTransactionRollback [line 226]

`void preTransactionRollback( Doctrine_Event $event )`

onPreTransactionRollback an event invoked before a Doctrine_Connection transaction is being rolled back

Parameters:

Doctrine_Event | $event: |

API Tags:

Access: | public

Implementation of:

Doctrine_EventListener_Interface::preTransactionRollback()

[ Top ]
set [line 84]

`void set( mixed $key, Doctrine_EventListener $listener )`

set

Parameters:

mixed | $key: |
Doctrine_EventListener | $listener: |

API Tags:

Access: | public

[ Top ]